ElementRecognizer.ByLocalName (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.xff.ElementRecognizer.ByLocalName class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.xff
Class ElementRecognizer.ByLocalName

    java.lang.Object
      org.biojava.bio.program.xff.ElementRecognizer.ByLocalName

All Implemented Interfaces:
  ElementRecognizer

Enclosing interface:
  ElementRecognizer

    public static class ElementRecognizer.ByLocalName

extends Object
implements ElementRecognizer

Filter elements by local name (not recommended).

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.xff.ElementRecognizer
`ElementRecognizer.AllElementRecognizer, ElementRecognizer.ByLocalName, ElementRecognizer.ByNSName, ElementRecognizer.HasAttribute`

Field Summary

Fields inherited from interface org.biojava.bio.program.xff.ElementRecognizer
`ALL`

Constructor Summary
`ElementRecognizer.ByLocalName(String localName)`

Method Summary
`boolean` | `filterStartElement(String nsURI, String localName, String qName, Attributes attrs)` Recognize an element based upon the start element parameters.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementRecognizer.ByLocalName

    public ElementRecognizer.ByLocalName(String localName)

Method Detail

### filterStartElement

    public boolean filterStartElement(String nsURI,
                                      String localName,
                                      String qName,
                                      Attributes attrs)

  Description copied from interface: `ElementRecognizer`
  Recognize an element based upon the start element parameters.

  Specified by:
    `filterStartElement` in interface `ElementRecognizer`
  Parameters:
    `nsURI` - the uri of the element to filter
    `localName` - the local name of the element to filter
    `qName` - the qName of the element to filter
    `attrs` - the attributes associated with the element to filter
  Returns:
    true if this element is accepted, false otherwise

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD